From bfc3903375d3277ef56ea9fbb286d50839b3aa73 Mon Sep 17 00:00:00 2001
From: Cyril Jouve <jv.cyril@gmail.com>
Date: Fri, 28 Aug 2020 19:03:47 +0200
Subject: [PATCH 6/7] Renames unicode to str

---
 docs/en_US/conf.py                            |   8 +-
 web/config.py                                 |   4 +-
 web/pgAdmin4.py                               |   2 +-
 web/pgadmin/__init__.py                       |   8 +-
 web/pgadmin/about/__init__.py                 |   2 +-
 web/pgadmin/browser/__init__.py               |   8 +-
 web/pgadmin/browser/server_groups/__init__.py |  12 +-
 .../browser/server_groups/servers/__init__.py |  20 +--
 .../servers/databases/__init__.py             |   6 +-
 .../servers/databases/casts/__init__.py       |   2 +-
 .../databases/event_triggers/__init__.py      |   2 +-
 .../foreign_data_wrappers/__init__.py         |   2 +-
 .../foreign_servers/__init__.py               |   2 +-
 .../foreign_servers/user_mappings/__init__.py |   2 +-
 .../servers/databases/schemas/__init__.py     |   4 +-
 .../databases/schemas/collations/__init__.py  |   2 +-
 .../databases/schemas/domains/__init__.py     |   2 +-
 .../domains/domain_constraints/__init__.py    |   2 +-
 .../schemas/foreign_tables/__init__.py        |  10 +-
 .../schemas/fts_configurations/__init__.py    |   2 +-
 .../schemas/fts_dictionaries/__init__.py      |   4 +-
 .../schemas/fts_templates/__init__.py         |   2 +-
 .../databases/schemas/functions/__init__.py   |   6 +-
 .../databases/schemas/packages/__init__.py    |   8 +-
 .../schemas/packages/edbfuncs/__init__.py     |   2 +-
 .../schemas/packages/edbvars/__init__.py      |   6 +-
 .../databases/schemas/sequences/__init__.py   |  10 +-
 .../databases/schemas/tables/__init__.py      |   8 +-
 .../schemas/tables/columns/__init__.py        |   2 +-
 .../schemas/tables/compound_triggers/utils.py |   2 +-
 .../constraints/check_constraint/__init__.py  |   2 +-
 .../exclusion_constraint/__init__.py          |   2 +-
 .../constraints/foreign_key/__init__.py       |   2 +-
 .../constraints/index_constraint/__init__.py  |   4 +-
 .../constraints/index_constraint/utils.py     |   2 +-
 .../databases/schemas/tables/indexes/utils.py |   2 +-
 .../tables/row_security_policies/utils.py     |   2 +-
 .../tests/test_tables_properties_sql.py       |   2 +-
 .../schemas/tables/triggers/utils.py          |   2 +-
 .../servers/databases/schemas/tables/utils.py |  12 +-
 .../databases/schemas/types/__init__.py       |   2 +-
 .../databases/schemas/views/__init__.py       |   4 +-
 .../server_groups/servers/pgagent/__init__.py |   2 +-
 .../server_groups/servers/roles/__init__.py   | 126 +++++++++---------
 .../servers/tablespaces/__init__.py           |   2 +-
 web/pgadmin/misc/bgprocess/processes.py       |  26 ++--
 web/pgadmin/misc/file_manager/__init__.py     | 126 +++++++++---------
 web/pgadmin/setup/db_upgrade.py               |   2 +-
 web/pgadmin/setup/user_info.py                |  16 +--
 web/pgadmin/tools/backup/__init__.py          |   2 +-
 web/pgadmin/tools/import_export/__init__.py   |   2 +-
 web/pgadmin/tools/restore/__init__.py         |   2 +-
 web/pgadmin/tools/sqleditor/__init__.py       |   8 +-
 web/pgadmin/utils/__init__.py                 |   8 +-
 web/pgadmin/utils/driver/psycopg2/__init__.py |  28 ++--
 .../utils/driver/psycopg2/connection.py       | 104 +++++++--------
 .../driver/psycopg2/generate_keywords.py      |   6 +-
 .../utils/driver/psycopg2/server_manager.py   |  12 +-
 .../tests/test_javascript_bundler.py          |   4 +-
 web/pgadmin/utils/preferences.py              |   2 +-
 .../utils/sqlautocomplete/autocomplete.py     |   2 +-
 .../utils/sqlautocomplete/parseutils/ctes.py  |   2 +-
 web/setup.py                                  |   4 +-
 63 files changed, 338 insertions(+), 338 deletions(-)

diff --git a/docs/en_US/conf.py b/docs/en_US/conf.py
index 865c04f49..256c62a73 100644
--- a/docs/en_US/conf.py
+++ b/docs/en_US/conf.py
@@ -208,8 +208,8 @@ htmlhelp_basename = 'pgadmin4'
 # (source start file, target name, title, author, documentclass
 # [howto/manual]).
 latex_documents = [
-    ('index', 'pgadmin4.tex', u'pgAdmin 4 Documentation',
-     u'The pgAdmin Development Team', 'manual'),
+    ('index', 'pgadmin4.tex', 'pgAdmin 4 Documentation',
+     'The pgAdmin Development Team', 'manual'),
 ]
 
 # The name of an image file (relative to this directory) to place at the top of
@@ -247,6 +247,6 @@ latex_elements = {
 # One entry per manual page. List of tuples
 # (source start file, name, description, authors, manual section).
 man_pages = [
-    ('index', 'pgadmin4', u'pgAdmin 4 Documentation',
-     [u'The pgAdmin Development Team'], 1)
+    ('index', 'pgadmin4', 'pgAdmin 4 Documentation',
+     ['The pgAdmin Development Team'], 1)
 ]
diff --git a/web/config.py b/web/config.py
index 893168cc8..92986249f 100644
--- a/web/config.py
+++ b/web/config.py
@@ -204,13 +204,13 @@ APP_VERSION_EXTN = ('.css', '.js', '.html', '.svg', '.png', '.gif', '.ico')
 if IS_WIN:
     # Use the short path on windows
     DATA_DIR = os.path.realpath(
-        os.path.join(fs_short_path(env('APPDATA')), u"pgAdmin")
+        os.path.join(fs_short_path(env('APPDATA')), "pgAdmin")
     )
 else:
     if SERVER_MODE:
         DATA_DIR = '/var/lib/pgadmin'
     else:
-        DATA_DIR = os.path.realpath(os.path.expanduser(u'~/.pgadmin/'))
+        DATA_DIR = os.path.realpath(os.path.expanduser('~/.pgadmin/'))
 
 # An optional login banner to show security warnings/disclaimers etc. at
 # login and password recovery etc. HTML may be included for basic formatting,
diff --git a/web/pgAdmin4.py b/web/pgAdmin4.py
index 04c4ffeaa..8e0eb99d3 100644
--- a/web/pgAdmin4.py
+++ b/web/pgAdmin4.py
@@ -81,7 +81,7 @@ config.SETTINGS_SCHEMA_VERSION = SCHEMA_VERSION
 if not os.path.isfile(config.SQLITE_PATH):
     setup_py = os.path.join(
         os.path.dirname(os.path.realpath(u_encode(__file__, fs_encoding))),
-        u'setup.py'
+        'setup.py'
     )
     exec(open(file_quote(setup_py), 'r').read())
 
diff --git a/web/pgadmin/__init__.py b/web/pgadmin/__init__.py
index 08ae0ca48..516ba2c4d 100644
--- a/web/pgadmin/__init__.py
+++ b/web/pgadmin/__init__.py
@@ -309,8 +309,8 @@ def create_app(app_name=None):
     # Setup authentication
     ##########################################################################
 
-    app.config['SQLALCHEMY_DATABASE_URI'] = u'sqlite:///{0}?timeout={1}' \
-        .format(config.SQLITE_PATH.replace(u'\\', u'/'),
+    app.config['SQLALCHEMY_DATABASE_URI'] = 'sqlite:///{0}?timeout={1}' \
+        .format(config.SQLITE_PATH.replace('\\', '/'),
                 getattr(config, 'SQLITE_TIMEOUT', 500)
                 )
 
@@ -565,8 +565,8 @@ def create_app(app_name=None):
                     svr_discovery_id = section
                     description = registry.get(section, 'Description')
                     data_directory = registry.get(section, 'DataDirectory')
-                    svr_comment = gettext(u"Auto-detected {0} installation "
-                                          u"with the data directory at {1}"
+                    svr_comment = gettext("Auto-detected {0} installation "
+                                          "with the data directory at {1}"
                                           ).format(description, data_directory)
                     add_server(user_id, servergroup_id, svr_name,
                                svr_superuser, svr_port, svr_discovery_id,
diff --git a/web/pgadmin/about/__init__.py b/web/pgadmin/about/__init__.py
index e56a191ff..083246f2a 100644
--- a/web/pgadmin/about/__init__.py
+++ b/web/pgadmin/about/__init__.py
@@ -33,7 +33,7 @@ class AboutModule(PgAdminModule):
                     module="pgAdmin.About",
                     callback='about_show',
                     icon='fa fa-info-circle',
-                    label=gettext(u'About %(appname)s', appname=appname)
+                    label=gettext('About %(appname)s', appname=appname)
                 )
             ]
         }
diff --git a/web/pgadmin/browser/__init__.py b/web/pgadmin/browser/__init__.py
index 90665374a..5375e944f 100644
--- a/web/pgadmin/browser/__init__.py
+++ b/web/pgadmin/browser/__init__.py
@@ -62,12 +62,12 @@ BROWSER_STATIC = 'browser.static'
 JQUERY_ACIPLUGIN = 'jquery.aciplugin'
 BROWSER_INDEX = 'browser.index'
 PGADMIN_BROWSER = 'pgAdmin.Browser'
-PASS_ERROR_MSG = u'Your password has not been changed.'
-SMTP_SOCKET_ERROR = u'SMTP Socket error: {error}\n {pass_error}'.format(
+PASS_ERROR_MSG = 'Your password has not been changed.'
+SMTP_SOCKET_ERROR = 'SMTP Socket error: {error}\n {pass_error}'.format(
     error={}, pass_error=PASS_ERROR_MSG)
-SMTP_ERROR = u'SMTP error: {error}\n {pass_error}'.format(
+SMTP_ERROR = 'SMTP error: {error}\n {pass_error}'.format(
     error={}, pass_error=PASS_ERROR_MSG)
-PASS_ERROR = u'Error: {error}\n {pass_error}'.format(
+PASS_ERROR = 'Error: {error}\n {pass_error}'.format(
     error={}, pass_error=PASS_ERROR_MSG)
 
 
diff --git a/web/pgadmin/browser/server_groups/__init__.py b/web/pgadmin/browser/server_groups/__init__.py
index 3c4ec6831..717795bde 100644
--- a/web/pgadmin/browser/server_groups/__init__.py
+++ b/web/pgadmin/browser/server_groups/__init__.py
@@ -177,8 +177,8 @@ class ServerGroupView(NodeView):
             )
         else:
             try:
-                if u'name' in data:
-                    servergroup.name = data[u'name']
+                if 'name' in data:
+                    servergroup.name = data['name']
                 db.session.commit()
             except exc.IntegrityError:
                 db.session.rollback()
@@ -230,16 +230,16 @@ class ServerGroupView(NodeView):
         data = request.form if request.form else json.loads(
             request.data, encoding='utf-8'
         )
-        if data[u'name'] != '':
+        if data['name'] != '':
             try:
                 sg = ServerGroup(
                     user_id=current_user.id,
-                    name=data[u'name'])
+                    name=data['name'])
                 db.session.add(sg)
                 db.session.commit()
 
-                data[u'id'] = sg.id
-                data[u'name'] = sg.name
+                data['id'] = sg.id
+                data['name'] = sg.name
 
                 return jsonify(
                     node=self.blueprint.generate_browser_node(
diff --git a/web/pgadmin/browser/server_groups/servers/__init__.py b/web/pgadmin/browser/server_groups/servers/__init__.py
index 566273e57..2eb058a40 100644
--- a/web/pgadmin/browser/server_groups/servers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/__init__.py
@@ -726,9 +726,9 @@ class ServerNode(PGChildNodeView):
     def create(self, gid):
         """Add a server node to the settings database"""
         required_args = [
-            u'name',
-            u'db',
-            u'sslmode',
+            'name',
+            'db',
+            'sslmode',
         ]
 
         data = request.form if request.form else json.loads(
@@ -743,10 +743,10 @@ class ServerNode(PGChildNodeView):
         # Some fields can be provided with service file so they are optional
         if 'service' in data and not data['service']:
             required_args.extend([
-                u'host',
-                u'port',
-                u'username',
-                u'role'
+                'host',
+                'port',
+                'username',
+                'role'
             ])
         for arg in required_args:
             if arg not in data:
@@ -786,8 +786,8 @@ class ServerNode(PGChildNodeView):
                 ssl_mode=data.get('sslmode'),
                 comment=data.get('comment', None),
                 role=data.get('role', None),
-                db_res=','.join(data[u'db_res'])
-                if u'db_res' in data else None,
+                db_res=','.join(data['db_res'])
+                if 'db_res' in data else None,
                 sslcert=data.get('sslcert', None),
                 sslkey=data.get('sslkey', None),
                 sslrootcert=data.get('sslrootcert', None),
@@ -851,7 +851,7 @@ class ServerNode(PGChildNodeView):
                         status=401,
                         success=0,
                         errormsg=gettext(
-                            u"Unable to connect to server:\n\n{}"
+                            "Unable to connect to server:\n\n{}"
                         ).format(errmsg)
                     )
                 else:
diff --git a/web/pgadmin/browser/server_groups/servers/databases/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/__init__.py
index 74f6e1409..e7a69149a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/__init__.py
@@ -574,7 +574,7 @@ class DatabaseView(PGChildNodeView):
     def create(self, gid, sid):
         """Create the database."""
         required_args = [
-            u'name'
+            'name'
         ]
 
         data = request.form if request.form else json.loads(
@@ -992,7 +992,7 @@ class DatabaseView(PGChildNodeView):
         Generates sql for creating new database.
         """
         required_args = [
-            u'name'
+            'name'
         ]
 
         for arg in required_args:
@@ -1183,7 +1183,7 @@ class DatabaseView(PGChildNodeView):
         frmtd_variables = parse_variables_from_db(res1['rows'])
         result.update(frmtd_variables)
 
-        sql_header = u"-- Database: {0}\n\n-- ".format(result['name'])
+        sql_header = "-- Database: {0}\n\n-- ".format(result['name'])
 
         sql_header += render_template(
             "/".join([self.template_path, self._DELETE_SQL]),
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py
index fa63c8c15..34e98e103 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py
@@ -606,7 +606,7 @@ class CastView(PGChildNodeView, SchemaDiffObjectCompare):
                     data=data, conn=self.conn
                 )
             else:
-                return u"-- definition incomplete", None
+                return "-- definition incomplete", None
             return sql, data['srctyp'] + "->" + data["trgtyp"]
 
     @check_precondition
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/__init__.py
index 7b396011b..2fa5a351c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/__init__.py
@@ -746,7 +746,7 @@ class EventTriggerView(PGChildNodeView, SchemaDiffObjectCompare):
         if not status:
             return internal_server_error(errormsg=db_name)
 
-        sql_header = u"-- Event Trigger: {0} on database {1}\n\n-- ".format(
+        sql_header = "-- Event Trigger: {0} on database {1}\n\n-- ".format(
             result['name'], db_name
         )
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/__init__.py
index 64ae9974c..94e5e0c4e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/__init__.py
@@ -829,7 +829,7 @@ class ForeignDataWrapperView(PGChildNodeView, SchemaDiffObjectCompare):
                               )
         sql += "\n"
 
-        sql_header = u"""-- Foreign Data Wrapper: {0}\n\n""".format(
+        sql_header = """-- Foreign Data Wrapper: {0}\n\n""".format(
             res['rows'][0]['name'])
 
         sql_header += """-- DROP FOREIGN DATA WRAPPER {0}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/__init__.py
index 1aef6aca8..7f2baafb0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/__init__.py
@@ -837,7 +837,7 @@ class ForeignServerView(PGChildNodeView, SchemaDiffObjectCompare):
                               conn=self.conn)
         sql += "\n"
 
-        sql_header = u"""-- Foreign Server: {0}
+        sql_header = """-- Foreign Server: {0}
 
 -- DROP SERVER {0}
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mappings/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mappings/__init__.py
index 63f91ff48..10c6546a8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mappings/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mappings/__init__.py
@@ -815,7 +815,7 @@ class UserMappingView(PGChildNodeView, SchemaDiffObjectCompare):
                               conn=self.conn)
         sql += "\n"
 
-        sql_header = u"""-- User Mapping : {0}
+        sql_header = """-- User Mapping : {0}
 
 -- DROP USER MAPPING FOR {0} SERVER {1}
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py
index 68ac52fad..69d917d18 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py
@@ -867,7 +867,7 @@ It may have been removed by another user.
             _=gettext, data=data, conn=self.conn
         )
 
-        sql_header = u"-- SCHEMA: {0}\n\n-- ".format(data['name'])
+        sql_header = "-- SCHEMA: {0}\n\n-- ".format(data['name'])
 
         # drop schema
         sql_header += render_template(
@@ -1051,7 +1051,7 @@ It may have been removed by another user.
             _=gettext, data=old_data, conn=self.conn
         )
 
-        sql_header = u"""
+        sql_header = """
 -- CATALOG: {0}
 
 -- DROP SCHEMA {0};
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
index 8ba1001a3..d87f8101b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
@@ -716,7 +716,7 @@ class CollationView(PGChildNodeView, SchemaDiffObjectCompare):
                                         self._CREATE_SQL]),
                               data=data, conn=self.conn)
 
-        sql_header = u"-- Collation: {0};\n\n-- ".format(data['name'])
+        sql_header = "-- Collation: {0};\n\n-- ".format(data['name'])
 
         sql_header += render_template("/".join([self.template_path,
                                                 self._DELETE_SQL]),
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py
index ebc04bb96..3178c06fc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py
@@ -753,7 +753,7 @@ AND relkind != 'c'))"""
         SQL = render_template("/".join([self.template_path,
                                         self._CREATE_SQL]), data=data)
 
-        sql_header = u"""-- DOMAIN: {0}.{1}\n\n""".format(
+        sql_header = """-- DOMAIN: {0}.{1}\n\n""".format(
             data['basensp'], data['name'])
 
         sql_header += """-- DROP DOMAIN {0};\n
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/__init__.py
index 95ef28884..071885372 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/domain_constraints/__init__.py
@@ -610,7 +610,7 @@ class DomainConstraintView(PGChildNodeView):
                                         self._CREATE_SQL]),
                               data=data, domain=domain, schema=schema)
 
-        sql_header = u"""-- CHECK: {1}.{0}
+        sql_header = """-- CHECK: {1}.{0}
 
 -- ALTER DOMAIN {1} DROP CONSTRAINT {0};
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py
index 4686b5caf..807b11e52 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py
@@ -854,7 +854,7 @@ class ForeignTableView(PGChildNodeView, DataTypeReader,
         if not json_resp:
             return SQL.strip('\n')
 
-        sql_header = u"""-- FOREIGN TABLE: {0}.{1}\n\n""".format(
+        sql_header = """-- FOREIGN TABLE: {0}.{1}\n\n""".format(
             data['basensp'], data['name'])
 
         sql_header += """-- DROP FOREIGN TABLE {0};
@@ -1337,7 +1337,7 @@ class ForeignTableView(PGChildNodeView, DataTypeReader,
         else:
             columns = '*'
 
-        sql = u"SELECT {0}\n\tFROM {1};".format(
+        sql = "SELECT {0}\n\tFROM {1};".format(
             columns,
             self.qtIdent(self.conn, data['basensp'], data['name'])
         )
@@ -1377,7 +1377,7 @@ class ForeignTableView(PGChildNodeView, DataTypeReader,
         if len(columns) > 0:
             columns = ", ".join(columns)
             values = ", ".join(values)
-            sql = u"INSERT INTO {0}(\n\t{1})\n\tVALUES ({2});".format(
+            sql = "INSERT INTO {0}(\n\t{1})\n\tVALUES ({2});".format(
                 self.qtIdent(self.conn, data['basensp'], data['name']),
                 columns, values
             )
@@ -1422,7 +1422,7 @@ class ForeignTableView(PGChildNodeView, DataTypeReader,
                 columns = "=?, ".join(columns)
                 columns += "=?"
 
-            sql = u"UPDATE {0}\n\tSET {1}\n\tWHERE <condition>;".format(
+            sql = "UPDATE {0}\n\tSET {1}\n\tWHERE <condition>;".format(
                 self.qtIdent(self.conn, data['basensp'], data['name']),
                 columns
             )
@@ -1453,7 +1453,7 @@ class ForeignTableView(PGChildNodeView, DataTypeReader,
         if not data:
             return gone(self.not_found_error_msg())
 
-        sql = u"DELETE FROM {0}\n\tWHERE <condition>;".format(
+        sql = "DELETE FROM {0}\n\tWHERE <condition>;".format(
             self.qtIdent(self.conn, data['basensp'], data['name'])
         )
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py
index e225c8aff..b807107b4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py
@@ -661,7 +661,7 @@ class FtsConfigurationView(PGChildNodeView, SchemaDiffObjectCompare):
                                   conn=self.conn
                                   )
         else:
-            sql = u"-- definition incomplete"
+            sql = "-- definition incomplete"
         return sql
 
     @staticmethod
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py
index 23195c62f..c6a1cac2f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py
@@ -659,7 +659,7 @@ class FtsDictionaryView(PGChildNodeView, SchemaDiffObjectCompare):
                                   conn=self.conn
                                   )
         else:
-            sql = u"-- definition incomplete"
+            sql = "-- definition incomplete"
         return sql
 
     def _check_template_name_and_schema_name(self, data, old_data):
@@ -849,7 +849,7 @@ class FtsDictionaryView(PGChildNodeView, SchemaDiffObjectCompare):
                               data=res['rows'][0],
                               conn=self.conn, is_displaying=True)
 
-        sql_header = u"""-- Text Search Dictionary: {0}.{1}\n\n""".format(
+        sql_header = """-- Text Search Dictionary: {0}.{1}\n\n""".format(
             res['rows'][0]['schema'], res['rows'][0]['name'])
         sql_header += """-- DROP TEXT SEARCH DICTIONARY {0};\n
 """.format(self.qtIdent(self.conn, res['rows'][0]['schema'],
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py
index 6b214f32d..d507bf3c3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py
@@ -586,7 +586,7 @@ class FtsTemplateView(PGChildNodeView, SchemaDiffObjectCompare):
                                   conn=self.conn
                                   )
         else:
-            sql = u"-- definition incomplete"
+            sql = "-- definition incomplete"
         return sql
 
     def get_sql(self, gid, sid, did, scid, data, tid=None):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py
index 4dd5c1900..1edc46fad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py
@@ -1092,7 +1092,7 @@ class FunctionView(PGChildNodeView, DataTypeReader, SchemaDiffObjectCompare):
             return resp_data
 
         # Fetch the function definition.
-        args = u''
+        args = ''
         args_without_name = []
 
         args_list = []
@@ -1183,7 +1183,7 @@ class FunctionView(PGChildNodeView, DataTypeReader, SchemaDiffObjectCompare):
                                        func_def=name_with_default_args,
                                        query_for="sql_panel")
 
-        sql_header = u"""-- {0}: {1}.{2}({3})\n\n""".format(
+        sql_header = """-- {0}: {1}.{2}({3})\n\n""".format(
             object_type.upper(), resp_data['pronamespace'],
             resp_data['proname'],
             resp_data['proargtypenames'].lstrip('(').rstrip(')'))
@@ -1470,7 +1470,7 @@ class FunctionView(PGChildNodeView, DataTypeReader, SchemaDiffObjectCompare):
             # Parse Privileges
             self._parse_privilege_data(data)
 
-            args = u''
+            args = ''
             args_without_name = []
 
             args_list = []
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/__init__.py
index a823d1d7a..96522d6a5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/__init__.py
@@ -366,8 +366,8 @@ class PackageView(PGChildNodeView, SchemaDiffObjectCompare):
 
         """
         required_args = [
-            u'name',
-            u'pkgheadsrc'
+            'name',
+            'pkgheadsrc'
         ]
 
         data = request.form if request.form else json.loads(
@@ -622,7 +622,7 @@ class PackageView(PGChildNodeView, SchemaDiffObjectCompare):
         :return:
         """
         required_args = [
-            u'name'
+            'name'
         ]
         sql = render_template(
             "/".join([self.template_path, self._PROPERTIES_SQL]), scid=scid,
@@ -734,7 +734,7 @@ class PackageView(PGChildNodeView, SchemaDiffObjectCompare):
             if not json_resp:
                 return sql
 
-            sql_header = u"-- Package: {0}.{1}\n\n-- ".format(
+            sql_header = "-- Package: {0}.{1}\n\n-- ".format(
                 self.schema, result['name'])
 
             sql_header += render_template(
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbfuncs/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbfuncs/__init__.py
index 1ec612d1f..2939fe21f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbfuncs/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbfuncs/__init__.py
@@ -529,7 +529,7 @@ class EdbFuncView(PGChildNodeView, DataTypeReader):
         if not status:
             return internal_server_error(errormsg=res)
 
-        sql = u"-- Package {}: {}".format(
+        sql = "-- Package {}: {}".format(
             'Function' if self.node_type == 'edbfunc' else 'Procedure',
             name)
         if body != '':
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbvars/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbvars/__init__.py
index 5a201ab3b..ef206e4a2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbvars/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/packages/edbvars/__init__.py
@@ -319,9 +319,9 @@ class EdbVarView(PGChildNodeView, DataTypeReader):
 
         var = res['rows'][0]
 
-        sql = u"-- Package Variable: {}".format(var['name'])
-        sql += u"\n\n"
-        sql += u"{} {};".format(var['name'], var['datatype'])
+        sql = "-- Package Variable: {}".format(var['name'])
+        sql += "\n\n"
+        sql += "{} {};".format(var['name'], var['datatype'])
 
         return ajax_response(response=sql)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py
index e2cf25123..8c7a378ef 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py
@@ -371,9 +371,9 @@ class SequenceView(PGChildNodeView, SchemaDiffObjectCompare):
 
         """
         required_args = [
-            u'name',
-            u'schema',
-            u'seqowner',
+            'name',
+            'schema',
+            'seqowner',
         ]
 
         data = request.form if request.form else json.loads(
@@ -620,7 +620,7 @@ class SequenceView(PGChildNodeView, SchemaDiffObjectCompare):
         """
 
         required_args = [
-            u'name'
+            'name'
         ]
 
         if seid is not None:
@@ -737,7 +737,7 @@ class SequenceView(PGChildNodeView, SchemaDiffObjectCompare):
         if not json_resp:
             return sql
 
-        sql_header = u"""-- SEQUENCE: {0}.{1}\n\n""".format(
+        sql_header = """-- SEQUENCE: {0}.{1}\n\n""".format(
             result['schema'], result['name'])
 
         sql_header += """-- DROP SEQUENCE {0};
